javafx.collections

## Interface ArrayChangeListener<T extends ObservableArray<T>>

-     public interface ArrayChangeListener<T extends ObservableArray<T>>

  Interface that receives notifications of changes to an ObservableArray.
  Since:
    JavaFX 8.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onChanged(T observableArray, boolean sizeChanged, int from, int to)` Called after a change has been made to an ObservableArray.

- - ### Method Detail

    - #### onChanged

          void onChanged(T observableArray,
                         boolean sizeChanged,
                         int from,
                         int to)

      Called after a change has been made to an ObservableArray.
      Parameters:
        `sizeChanged` - indicates size of array changed
        `from` - A beginning (inclusive) of an interval related to the change
        `to` - An end (exclusive) of an interval related to the change.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 2008, 2019, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.